Bug 1410597 - adwaita-qt: -common subpkg removed without Obsoletes
Summary: adwaita-qt: -common subpkg removed without Obsoletes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: adwaita-qt
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-05 20:47 UTC by Rex Dieter
Modified: 2017-03-13 23:50 UTC (History)
2 users (show)

Fixed In Version: adwaita-qt-0.98-1.fc25 adwaita-qt-0.98-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-07 13:21:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Rex Dieter 2017-01-05 20:47:21 UTC
adwaita-qt-common-0.4-3.fc25.noarch
Still exists in repos, and the subpkg was removed recently:
http://pkgs.fedoraproject.org/cgit/rpms/adwaita-qt.git/commit/?id=120ce9b6092b86a47224e5670af58c65a2864f4c

in update to 0.95

Options to fix upgrade path include:
1.  provide a -common subpkg still (maybe empty)
2.  add Obsoletes: adwaita-qt-common < 0.95 somewhere (main pkg?)
3.  some better idea :)

Comment 1 Martin Bříza 2017-01-06 08:30:07 UTC
Oh, sorry about that.
I'll add an empty package because I think a -common package may be needed in the future for some assets like images, icons or something else.

Comment 2 Fedora Update System 2017-02-27 14:41:18 UTC
adwaita-qt-0.98-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-63761df0cf

Comment 3 Fedora Update System 2017-02-27 14:41:41 UTC
adwaita-qt-0.98-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7d8c83fa18

Comment 4 Fedora End Of Life 2017-02-28 10:53:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 5 Fedora Update System 2017-03-01 02:50:26 UTC
adwaita-qt-0.98-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7d8c83fa18

Comment 6 Fedora Update System 2017-03-01 02:52:43 UTC
adwaita-qt-0.98-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-63761df0cf

Comment 7 Fedora Update System 2017-03-07 13:21:38 UTC
adwaita-qt-0.98-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-03-13 23:50:18 UTC
adwaita-qt-0.98-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.